data:extend(
{
  {
    type = "gun",
    name = "tank-flame-thrower",
    icon = "__base__/graphics/icons/flame-thrower.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "e[flame-thrower]",
    attack_parameters =
    {
      ammo_category = "flame-thrower",
      cooldown = 2,
      movement_slow_down_factor = 0.6,
      projectile_creation_distance = 0.5,
      range = 20
    },
    stack_size = 5
  },
  {
    type = "gun",
    name = "tank-cannon",
    icon = "__base__/graphics/icons/tank-cannon.png",
    flags = {"goes-to-main-inventory", "hidden"},
    subgroup = "gun",
    order = "z[tank]-a[cannon]",
    attack_parameters =
    {
      ammo_category = "cannon-shell",
      cooldown = 90,
      movement_slow_down_factor = 0.5,
      projectile_creation_distance = 0.6,
      range = 35,
      sound =
      {
        {
          filename = "__base__/sound/cannon.ogg",
          volume = 0.4
        }
      }
    },
    stack_size = 5
  },
  {
    type = "gun",
    name = "tank-20mm-cannon",
    icon = "__base__/graphics/icons/tank-cannon.png",
    flags = {"goes-to-main-inventory", "hidden"},
    subgroup = "gun",
    order = "z[tank]-a[cannon]",
    attack_parameters =
    {
      ammo_category = "20mm-magazine",
      cooldown = 15,
      movement_slow_down_factor = 0.5,
      projectile_creation_distance = 0.6,
      range = 35,
      sound =
      {
        {
          filename = "__base__/sound/cannon.ogg",
          volume = 0.2
        }
      }
    },
    stack_size = 5
  },
  {
    type = "gun",
    name = "tank-twin-20mm-cannon",
    icon = "__base__/graphics/icons/tank-cannon.png",
    flags = {"goes-to-main-inventory", "hidden"},
    subgroup = "gun",
    order = "z[tank]-a[cannon]",
    attack_parameters =
    {
      ammo_category = "20mm-belt",
      cooldown = 7.5,
      movement_slow_down_factor = 0.5,
      projectile_creation_distance = 0.6,
      range = 35,
      sound =
      {
        {
          filename = "__base__/sound/cannon.ogg",
          volume = 0.2
        }
      }
    },
    stack_size = 5
  },
}
)
