data:extend(
{
  {
    type = "ammo",
    name = "cannon-shell",
    icon = "__base__/graphics/icons/cannon-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "cannon-shell",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "cannon-projectile",
          starting_speed = 1,
          direction_deviation = 0.1,
          range_deviation = 0.1,
          max_range = 35
        }
      },
    },
    subgroup = "ammo",
    order = "d[rocket-launcher]-a[basic]",
    stack_size = 50
  },
  {
    type = "ammo",
    name = "20mm-magazine",
    icon = "__jbullets__/graphics/icons/20mm-ap-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "20mm-magazine",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "cannon-20mm-projectile",
          starting_speed = 1.3,
          direction_deviation = 0.2,
          range_deviation = 0.2,
          max_range = 35
        }
      },
    },
	magazine_size = 15,
    subgroup = "ammo",
    order = "d[rocket-launcher]-a[basic]",
    stack_size = 20
  },
  {
    type = "ammo",
    name = "20mm-he-magazine",
    icon = "__jbullets__/graphics/icons/20mm-he-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "20mm-magazine",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "cannon-20mm-he-projectile",
          starting_speed = 1.3,
          direction_deviation = 0.2,
          range_deviation = 0.2,
          max_range = 35
        }
      },
    },
	magazine_size = 15,
    subgroup = "ammo",
    order = "d[rocket-launcher]-a[basic]",
    stack_size = 20
  },
  {
    type = "ammo",
    name = "20mm-belt",
    icon = "__jbullets__/graphics/icons/20mm-ap-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "20mm-belt",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "cannon-20mm-projectile",
          starting_speed = 1.3,
          direction_deviation = 0.3,
          range_deviation = 0.5,
          max_range = 35
        }
      },
    },
	magazine_size = 200,
    subgroup = "ammo",
    order = "d[rocket-launcher]-a[basic]",
    stack_size = 1
  },
}
)
